spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | List of all members
tlyy::stack< T, S > Class Template Reference
Inheritance diagram for tlyy::stack< T, S >:
Collaboration diagram for tlyy::stack< T, S >:

## Public Types
typedef S::reverse_iterator | iterator
typedef S::const_reverse_iterator | const_iterator

## Public Member Functions
| stack (unsigned int n)
T & | operator[] (unsigned int i)
const T & | operator[] (unsigned int i) const
void | push (T &t)
void | pop (unsigned int n=1)
void | clear ()
S::size_type | size () const
const_iterator | begin () const
const_iterator | end () const

## Member Function Documentation

template<class T, class S = std::vector<T>>

void tlyy::stack< T, S >::push | ( | T & | t | ) |
| inline

Steal the contents of t.

Close to move-semantics.

The documentation for this class was generated from the following file:

- spot/parsetl/stack.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.